#pragma ident "@(#) dialogmsg.c 1.0.1 2009.09.07,06:21"
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <locale.h>
#include <curses.h>

/************************************************************************/
/* NAME      :dialogmsg()*/ 
/* FUNCTION  :ユーザに現在の状況を報告するポップアップウインドウを表示する*/ 
/*            未使用*/ 
/*            */ 
/*            */ 
/* RETURN    :*/
/************************************************************************/
int main(int argc,char *argv[])
{
	int i;
	int ch;
	char buff[80];
	WINDOW *pvs;

	if(argc == 2)
		sprintf(buff,"%s",argv[1]);
	else
		sprintf(buff,"ダイアログメッセージです");

	setlocale(LC_ALL,"");
	initscr();
	echo();

	pvs = newwin(8,48,LINES/2,16);
	box(pvs,'|','-');

	noecho();
	wattron(pvs,A_REVERSE);
	mvwprintw(pvs,0,1," -----------  CMS  DIALOG MESSAGE ----------- ");
	wattroff(pvs,A_REVERSE);
	mvwprintw(pvs,0,0,"+");
	mvwprintw(pvs,0,47,"+");
	mvwprintw(pvs,7,0,"+");
	mvwprintw(pvs,7,47,"+");

	mvwprintw(pvs,4,4,"%s",buff);
	wrefresh(pvs);
	delwin(pvs);
//	clear();
	endwin();
}


